Class HealthAggregationPolicy.Builder (1.101.0)

public static final class HealthAggregationPolicy.Builder extends GeneratedMessage.Builder<HealthAggregationPolicy.Builder> implements HealthAggregationPolicyOrBuilder

Represents a health aggregation policy.

A health aggregation policy resource defines a policy to aggregate health.

For more information, see Health checks overview.

Protobuf type google.cloud.compute.v1.HealthAggregationPolicy

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

build()

public HealthAggregationPolicy build()
Returns
Type Description
HealthAggregationPolicy

buildPartial()

public HealthAggregationPolicy buildPartial()
Returns
Type Description
HealthAggregationPolicy

clear()

public HealthAggregationPolicy.Builder clear()
Returns
Type Description
HealthAggregationPolicy.Builder
Overrides

clearCreationTimestamp()

public HealthAggregationPolicy.Builder clearCreationTimestamp()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearDescription()

public HealthAggregationPolicy.Builder clearDescription()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearFingerprint()

public HealthAggregationPolicy.Builder clearFingerprint()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.

optional string fingerprint = 234678500;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearHealthyPercentThreshold()

public HealthAggregationPolicy.Builder clearHealthyPercentThreshold()

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 60. Must be in range [0, 100]. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and minHealthyThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

optional uint32 healthy_percent_threshold = 72242895;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearId()

public HealthAggregationPolicy.Builder clearId()

Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.

optional uint64 id = 3355;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearKind()

public HealthAggregationPolicy.Builder clearKind()

Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.

optional string kind = 3292052;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearMinHealthyThreshold()

public HealthAggregationPolicy.Builder clearMinHealthyThreshold()

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 1. Must be positive. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and healthyPercentThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

optional uint32 min_healthy_threshold = 132310940;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearName()

public HealthAggregationPolicy.Builder clearName()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearPolicyType()

public HealthAggregationPolicy.Builder clearPolicyType()

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.

optional string policy_type = 18158119;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearRegion()

public HealthAggregationPolicy.Builder clearRegion()

Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

public HealthAggregationPolicy.Builder clearSelfLink()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

clearSelfLinkWithId()

public HealthAggregationPolicy.Builder clearSelfLinkWithId()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

getCreationTimestamp()

public String getCreationTimestamp()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
String

The creationTimestamp.

getCreationTimestampBytes()

public ByteString getCreationTimestampBytes()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
ByteString

The bytes for creationTimestamp.

getDefaultInstanceForType()

public HealthAggregationPolicy getDefaultInstanceForType()
Returns
Type Description
HealthAggregationPolicy

getDescription()

public String getDescription()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
String

The description.

getDescriptionBytes()

public ByteString getDescriptionBytes()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
ByteString

The bytes for description.

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getFingerprint()

public String getFingerprint()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.

optional string fingerprint = 234678500;

Returns
Type Description
String

The fingerprint.

getFingerprintBytes()

public ByteString getFingerprintBytes()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.

optional string fingerprint = 234678500;

Returns
Type Description
ByteString

The bytes for fingerprint.

getHealthyPercentThreshold()

public int getHealthyPercentThreshold()

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 60. Must be in range [0, 100]. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and minHealthyThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

optional uint32 healthy_percent_threshold = 72242895;

Returns
Type Description
int

The healthyPercentThreshold.

getId()

public long getId()

Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.

optional uint64 id = 3355;

Returns
Type Description
long

The id.

getKind()

public String getKind()

Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.

optional string kind = 3292052;

Returns
Type Description
String

The kind.

getKindBytes()

public ByteString getKindBytes()

Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.

optional string kind = 3292052;

Returns
Type Description
ByteString

The bytes for kind.

getMinHealthyThreshold()

public int getMinHealthyThreshold()

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 1. Must be positive. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and healthyPercentThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

optional uint32 min_healthy_threshold = 132310940;

Returns
Type Description
int

The minHealthyThreshold.

getName()

public String getName()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
String

The name.

getNameBytes()

public ByteString getNameBytes()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
ByteString

The bytes for name.

getPolicyType()

public String getPolicyType()

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.

optional string policy_type = 18158119;

Returns
Type Description
String

The policyType.

getPolicyTypeBytes()

public ByteString getPolicyTypeBytes()

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.

optional string policy_type = 18158119;

Returns
Type Description
ByteString

The bytes for policyType.

getRegion()

public String getRegion()

Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
String

The region.

getRegionBytes()

public ByteString getRegionBytes()

Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
ByteString

The bytes for region.

public String getSelfLink()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
String

The selfLink.

getSelfLinkBytes()

public ByteString getSelfLinkBytes()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
ByteString

The bytes for selfLink.

getSelfLinkWithId()

public String getSelfLinkWithId()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
String

The selfLinkWithId.

getSelfLinkWithIdBytes()

public ByteString getSelfLinkWithIdBytes()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
ByteString

The bytes for selfLinkWithId.

hasCreationTimestamp()

public boolean hasCreationTimestamp()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
boolean

Whether the creationTimestamp field is set.

hasDescription()

public boolean hasDescription()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
boolean

Whether the description field is set.

hasFingerprint()

public boolean hasFingerprint()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.

optional string fingerprint = 234678500;

Returns
Type Description
boolean

Whether the fingerprint field is set.

hasHealthyPercentThreshold()

public boolean hasHealthyPercentThreshold()

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 60. Must be in range [0, 100]. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and minHealthyThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

optional uint32 healthy_percent_threshold = 72242895;

Returns
Type Description
boolean

Whether the healthyPercentThreshold field is set.

hasId()

public boolean hasId()

Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.

optional uint64 id = 3355;

Returns
Type Description
boolean

Whether the id field is set.

hasKind()

public boolean hasKind()

Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.

optional string kind = 3292052;

Returns
Type Description
boolean

Whether the kind field is set.

hasMinHealthyThreshold()

public boolean hasMinHealthyThreshold()

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 1. Must be positive. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and healthyPercentThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

optional uint32 min_healthy_threshold = 132310940;

Returns
Type Description
boolean

Whether the minHealthyThreshold field is set.

hasName()

public boolean hasName()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
boolean

Whether the name field is set.

hasPolicyType()

public boolean hasPolicyType()

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.

optional string policy_type = 18158119;

Returns
Type Description
boolean

Whether the policyType field is set.

hasRegion()

public boolean hasRegion()

Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
boolean

Whether the region field is set.

public boolean hasSelfLink()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
boolean

Whether the selfLink field is set.

hasSelfLinkWithId()

public boolean hasSelfLinkWithId()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
boolean

Whether the selfLinkWithId field is set.

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

mergeFrom(HealthAggregationPolicy other)

public HealthAggregationPolicy.Builder mergeFrom(HealthAggregationPolicy other)
Parameter
Name Description
other HealthAggregationPolicy
Returns
Type Description
HealthAggregationPolicy.Builder

mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public HealthAggregationPolicy.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
HealthAggregationPolicy.Builder
Overrides
Exceptions
Type Description
IOException

mergeFrom(Message other)

public HealthAggregationPolicy.Builder mergeFrom(Message other)
Parameter
Name Description
other Message
Returns
Type Description
HealthAggregationPolicy.Builder
Overrides

setCreationTimestamp(String value)

public HealthAggregationPolicy.Builder setCreationTimestamp(String value)

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Parameter
Name Description
value String

The creationTimestamp to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setCreationTimestampBytes(ByteString value)

public HealthAggregationPolicy.Builder setCreationTimestampBytes(ByteString value)

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Parameter
Name Description
value ByteString

The bytes for creationTimestamp to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setDescription(String value)

public HealthAggregationPolicy.Builder setDescription(String value)

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Parameter
Name Description
value String

The description to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setDescriptionBytes(ByteString value)

public HealthAggregationPolicy.Builder setDescriptionBytes(ByteString value)

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Parameter
Name Description
value ByteString

The bytes for description to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setFingerprint(String value)

public HealthAggregationPolicy.Builder setFingerprint(String value)

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.

optional string fingerprint = 234678500;

Parameter
Name Description
value String

The fingerprint to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setFingerprintBytes(ByteString value)

public HealthAggregationPolicy.Builder setFingerprintBytes(ByteString value)

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy.

optional string fingerprint = 234678500;

Parameter
Name Description
value ByteString

The bytes for fingerprint to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setHealthyPercentThreshold(int value)

public HealthAggregationPolicy.Builder setHealthyPercentThreshold(int value)

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 60. Must be in range [0, 100]. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and minHealthyThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

optional uint32 healthy_percent_threshold = 72242895;

Parameter
Name Description
value int

The healthyPercentThreshold to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setId(long value)

public HealthAggregationPolicy.Builder setId(long value)

Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.

optional uint64 id = 3355;

Parameter
Name Description
value long

The id to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setKind(String value)

public HealthAggregationPolicy.Builder setKind(String value)

Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.

optional string kind = 3292052;

Parameter
Name Description
value String

The kind to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setKindBytes(ByteString value)

public HealthAggregationPolicy.Builder setKindBytes(ByteString value)

Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies.

optional string kind = 3292052;

Parameter
Name Description
value ByteString

The bytes for kind to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setMinHealthyThreshold(int value)

public HealthAggregationPolicy.Builder setMinHealthyThreshold(int value)

Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 1. Must be positive. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and healthyPercentThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group.

optional uint32 min_healthy_threshold = 132310940;

Parameter
Name Description
value int

The minHealthyThreshold to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setName(String value)

public HealthAggregationPolicy.Builder setName(String value)

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Parameter
Name Description
value String

The name to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setNameBytes(ByteString value)

public HealthAggregationPolicy.Builder setNameBytes(ByteString value)

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Parameter
Name Description
value ByteString

The bytes for name to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setPolicyType(String value)

public HealthAggregationPolicy.Builder setPolicyType(String value)

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.

optional string policy_type = 18158119;

Parameter
Name Description
value String

The policyType to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setPolicyTypeBytes(ByteString value)

public HealthAggregationPolicy.Builder setPolicyTypeBytes(ByteString value)

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values.

optional string policy_type = 18158119;

Parameter
Name Description
value ByteString

The bytes for policyType to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setRegion(String value)

public HealthAggregationPolicy.Builder setRegion(String value)

Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Parameter
Name Description
value String

The region to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setRegionBytes(ByteString value)

public HealthAggregationPolicy.Builder setRegionBytes(ByteString value)

Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Parameter
Name Description
value ByteString

The bytes for region to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

public HealthAggregationPolicy.Builder setSelfLink(String value)

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Parameter
Name Description
value String

The selfLink to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setSelfLinkBytes(ByteString value)

public HealthAggregationPolicy.Builder setSelfLinkBytes(ByteString value)

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Parameter
Name Description
value ByteString

The bytes for selfLink to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setSelfLinkWithId(String value)

public HealthAggregationPolicy.Builder setSelfLinkWithId(String value)

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Parameter
Name Description
value String

The selfLinkWithId to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.

setSelfLinkWithIdBytes(ByteString value)

public HealthAggregationPolicy.Builder setSelfLinkWithIdBytes(ByteString value)

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Parameter
Name Description
value ByteString

The bytes for selfLinkWithId to set.

Returns
Type Description
HealthAggregationPolicy.Builder

This builder for chaining.